Summary:		NUMA support for Linux
Name:			numactl
Version:		2.0.16
Release:		5%{dist}
License:		GPLv2
URL:			https://github.com/numactl/numactl
Source0:		%{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	make libtool automake autoconf
Patch3000:		fix-test-grep-not-support-perl.patch

%description
Simple NUMA policy support. It consists of a numactl program to run other 
programs with a specific NUMA policy.

%package libs
Summary:		libnuma shared libraries
License:		LGPLv2 and GPLv2

%description libs
This package provides a libnuma shared library ("NUMA API") to set NUMA 
policy in applications.

%package devel
Summary:		Header files and libraries for libnuma development
Requires:		%{name}-libs = %{version}-%{release}
License:		LGPLv2 and GPLv2

%description devel
This package provides header files and libraries for libnuma development.

%prep
%autosetup -p1

%build
%configure --prefix=%{_prefix} --libdir=%{_libdir}
sed -i -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
       -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install

rm -f %{buildroot}%{_mandir}/man2/*.2*
rm -f %{buildroot}%{_libdir}/libnuma.a
rm -f %{buildroot}%{_libdir}/libnuma.la

%check
make check

%files
%license README.md LICENSE.GPL2 LICENSE.LGPL2.1
%{_bindir}/numactl
%{_bindir}/numademo
%{_bindir}/numastat
%{_bindir}/memhog
%{_bindir}/migspeed
%{_bindir}/migratepages
%{_mandir}/man8/*.8*

%files libs
%{_libdir}/libnuma.so.1.0.0
%{_libdir}/libnuma.so.1

%files devel
%{_libdir}/pkgconfig/numa.pc
%{_includedir}/numa.h
%{_includedir}/numaif.h
%{_includedir}/numacompat1.h
%{_libdir}/libnuma.so
%{_mandir}/man3/*.3*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.16-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.16-4
- Rebuilt for loongarch release

* Mon Sep 11 2023 jackeyji <jackeyji@tencent.com> - 2.0.16-3
- Fix grep not support perl regexp

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.16-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jun 27 2023 kianli <kianli@tencent.com> - 2.0.16-1
- Upgrade to 2.0.16

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.14-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.14-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 27 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.0.14-1
- Initial build
